.mat-drawer {
    width: 360px;
  }

.mat-sidenav-content {
    background: #fff; 
    height: 100vh;
    min-width: 400px;
}

@media screen and (max-width: 414px) {
  .mat-drawer {
    width: 100%;
  }
  .mat-sidenav-content {
    max-width: 414px;
    min-width: 280px;
}
}